## ruby-rspec 2.8.0

=== debian/changelog ===
ruby-rspec (2.8.0-1) unstable; urgency=low

  * New upstream version
  * Add myself to Uploaders:
  * Bump Standards-Version to 3.9.3 (no change needed)
  * Set priority for transitional packages to extra
  * Update DEP5 syntax and copyright information in debian/copyright
  * Override lintian warning about duplicate descriptions for transitional
    packages 

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Tue, 13 Mar 2012 22:05:27 +0300
