=== debian/control ===
Source: ruby-rspec
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>, Cédric Boutillier <cedric.boutillier@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.2.1)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-rspec.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-rspec.git;a=summary
Homepage: http://github.com/rspec/rspec
XS-Ruby-Versions: all

Package: ruby-rspec
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-rspec-core, ruby-rspec-expectations, ruby-rspec-mocks
Replaces: librspec-ruby1.8 (<< 2.5.0-1~), librspec-ruby1.9.1 (<< 2.5.0-1~), librspec-ruby (<< 2.5.0-1~)
Breaks: librspec-ruby1.8 (<< 2.5.0-1~), librspec-ruby1.9.1 (<< 2.5.0-1~), librspec-ruby (<< 2.5.0-1~)
Provides: librspec-ruby1.8, librspec-ruby1.9.1, librspec-ruby
Description: Behaviour Driven Development framework for Ruby - metapackage
 RSpec is a Behaviour Driven Development framework for Ruby. It
 provides a framework for writing and executing examples of how your
 Ruby application should behave.

Package: librspec-ruby1.8
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-rspec
Description: Transitional package for ruby-rspec
 This is a transitional package to ease upgrades to the ruby-rspec
 package. It can safely be removed.

Package: librspec-ruby1.9.1
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-rspec
Description: Transitional package for ruby-rspec
 This is a transitional package to ease upgrades to the ruby-rspec
 package. It can safely be removed.

Package: librspec-ruby
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, ruby-rspec
Description: Transitional package for ruby-rspec
 This is a transitional package to ease upgrades to the ruby-rspec
 package. It can safely be removed.
