## ruby-rspec 2.10.0

=== debian/changelog ===
ruby-rspec (2.10.0-2) unstable; urgency=low

  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Tue, 26 Jun 2012 23:33:59 +0200

ruby-rspec (2.10.0-1) unstable; urgency=low

  * New upstream version 

 -- Cédric Boutillier <cedric.boutillier@gmail.com>  Fri, 11 May 2012 14:51:57 +0200
