## ruby-rspec 2.13.0

=== debian/changelog ===
ruby-rspec (2.13.0-2) unstable; urgency=low

  * Upload to unstable
  * Update my email address in debian/control and debian/changelog
  * Stop shipping transitional packages librspec-ruby*
    + delete debian/source.lintian-overrides

 -- Cédric Boutillier <boutil@debian.org>  Mon, 06 May 2013 15:17:24 +0200

ruby-rspec (2.13.0-1) experimental; urgency=low

  * Team upload.
  * New upstream version.
  * Update Depends to force upgrade of RSpec components.
  * Switch to https in homepage.
  * Remove obsolete DM-Upload-Allowed in debian/control.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Update Vcs-* to use anonscm.d.o.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 27 Mar 2013 17:28:09 +0100
