## ruby-rspec 2.14.1

=== debian/changelog ===
ruby-rspec (2.14.1-1) unstable; urgency=low

  * Imported Upstream version 2.14.1

 -- Cédric Boutillier <boutil@debian.org>  Fri, 02 Aug 2013 17:35:27 +0200
