=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: ruby-rspec
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-rspec-core (>= 2.13~), ruby-rspec-expectations (>= 2.13~), ruby-rspec-mocks (>= 2.13~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter, ruby-rspec-core (>= 2.14~)
 Description: Behaviour Driven Development framework for Ruby - metapackage
  RSpec is a Behaviour Driven Development framework for Ruby. It
  provides a framework for writing and executing examples of how your
