## ruby-rspec 3.3.0c0e0m0s0

=== debian/changelog ===
ruby-rspec (3.3.0c0e0m0s0-1build1) wily; urgency=medium

  * Temporarily build-depend without coderay and ruby-aruba.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Sep 2015 01:01:05 +0200

ruby-rspec (3.3.0c0e0m0s0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 3.3.0c0e0m0s0
    - refresh gemspecs
    - refresh patches
  * comment more commands about previous git submodules approach
  * Use a single tarball instead of a multiple tarball 3.0 (quilt) package
    - remove create-empty-orig option
    - update README.source accordingly
  * Remove persistent statistics of specs under */spec/examples.txt when
    cleaning
  * fix fix-rake-task.patch
  * Add failed_specs.patch to deactivate failing tests which need more
    investigation
  * Build-depend on git and coderay to satisfy some specs
  * Depend and build-depend on ruby-thread-order
  * Tighten version dependencies between RSpec components
  * Install .rspec template in project_initializer to make rspec --init work.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 15 Jun 2015 09:43:22 +0200

ruby-rspec (3.2.0c2e0m1s2-2.1) experimental; urgency=medium

  Team upload.

  [ Antonio Terceiro ]
  * debian/patches/fix-rake-task.patch: fix path to rspec binary in rake
    task. Closes: #782161

  [ Christian Hofstaedtler ]
  * debian/patches/autorun-load-configuration.patch: fix rspec/autorun
    not honoring expose_dsl_globally default.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 09 Apr 2015 13:26:54 +0200

ruby-rspec (3.2.0c2e0m1s2-2) experimental; urgency=medium

  Team upload.

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.

  [ Christian Hofstaedtler ]
  * Depend on ruby-rspec-support where needed

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 09 Apr 2015 11:52:30 +0200

ruby-rspec (3.2.0c2e0m1s2-1) experimental; urgency=low

  [ Jérémy Bobbio ]
  * Create ruby-rspec, ruby-rspec-core, ruby-rspec-expectations,
    ruby-rspec-mocks and ruby-rspec-support from the same source package in
    order to avoid the painful circular build dependencies needed to run the
    tests. (Closes: #677955)
    The new source package contains in separate folders the content of the old
    ruby-rspec* source packages.

  [ Cédric Boutillier ]
  * New upstream version 3.2.x
  * Update build-dependencies to build correctly all the rspec-packages
  * Various patches to accommodate the new build setup
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Create a debian/README.source file to document the workflow

 -- Cédric Boutillier <boutil@debian.org>  Thu, 02 Apr 2015 00:54:46 +0200
