=== debian/control ===
Source: ruby-rspec
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               gem2deb (>= 0.4.0~),
               git,
#               coderay,
#               ruby-aruba,
               ruby-childprocess,
               ruby-diff-lcs,
               ruby-fakefs,
               ruby-flexmock,
               ruby-json,
               ruby-minitest,
               ruby-mocha,
               ruby-nokogiri,
               ruby-rr,
               ruby-thread-order
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-rspec.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-rspec.git
Homepage: http://rspec.info/
XS-Ruby-Versions: all

Package: ruby-rspec
Architecture: all
X-DhRuby-Root: rspec
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-rspec-core (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Behaviour Driven Development framework for Ruby - metapackage
 RSpec is a Behaviour Driven Development framework for Ruby. It
 provides a framework for writing and executing examples of how your
 Ruby application should behave.

Package: ruby-rspec-core
Architecture: all
X-DhRuby-Root: rspec-core
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-rspec-expectations (= ${binary:Version}),
         ruby-rspec-mocks (= ${binary:Version}),
         ruby-rspec-support (= ${binary:Version}),
         ruby-thread-order,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ruby-rspec
Description: Behaviour Driven Development framework for Ruby - core
 RSpec is a Behaviour Driven Development framework for Ruby. It
 provides a framework for writing and executing examples of how your
 Ruby application should behave.
 .
 This package provides the core of the RSpec framework.

Package: ruby-rspec-expectations
Architecture: all
X-DhRuby-Root: rspec-expectations
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-diff-lcs,
         ruby-rspec-support (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ruby-rspec
Description: Behaviour Driven Development framework for Ruby - expectations
 RSpec is a Behaviour Driven Development framework for Ruby. It
 provides a framework for writing and executing examples of how your
 Ruby application should behave.
 .
 This package provides the handling of expectations (should/should_not and
 matchers).

Package: ruby-rspec-mocks
Architecture: all
X-DhRuby-Root: rspec-mocks
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-rspec-support (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ruby-rspec
Description: Behaviour Driven Development framework for Ruby - mocks
 RSpec is a Behaviour Driven Development framework for Ruby. It
 provides a framework for writing and executing examples of how your
 Ruby application should behave.
 .
 This package provides support for stubbing and mocking.

Package: ruby-rspec-support
Architecture: all
X-DhRuby-Root: rspec-support
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Suggests: ruby-rspec
Description: Behaviour Driven Development framework for Ruby - support
 RSpec is a Behaviour Driven Development framework for Ruby. It
 provides a framework for writing and executing examples of how your
 Ruby application should behave.
 .
 This package provides common functionality to other
 rspec packages. It is considered suitable for internal
 use only at this time.
