## ruby-rspec 3.4.0c3e0m1s1

=== debian/changelog ===
ruby-rspec (3.4.0c3e0m1s1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 27 May 2016 14:02:16 +0000

ruby-rspec (3.4.0c3e0m1s1-1) unstable; urgency=medium

  * Imported Upstream version 3.4.0c3e0m1s1
  * patches
    + refresh patches
    + don't apply autorun-load-configuration.patch (fixed upstream)
    + don't apply escape-path-in-match.patch (not needed)
    + add patch to skip some specs failing with coderay 1.1.x
    + skip specs using a running dRb server (stalling)
    + fix encoding issue in rspec-core tests
  * Remove coverage subdir in rspec-support and other _* files when cleaning
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Use https:// in Vcs-* fields
  * Fix reporting of upstream versions due to new output of uscan

 -- Cédric Boutillier <boutil@debian.org>  Wed, 02 Mar 2016 14:47:23 +0100

ruby-rspec (3.3.0c2e1m2s0-1) unstable; urgency=medium

  * Imported Upstream version 3.3.0c2e1m2s0
  * Add a task to repack the source in a unique tarball
  * Refresh gemspecs
  * Do not clean anymore tmp/ subdir in rspec-mocks
  * Skip another test related to UTF-16LE encoding on ruby2.2

 -- Cédric Boutillier <boutil@debian.org>  Thu, 20 Aug 2015 12:07:11 +0200
