=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9~),
                gem2deb (>= 0.4.0~),
                git,
-#               coderay,
-#               ruby-aruba,
+               coderay,
+               ruby-aruba,
                ruby-childprocess,
                ruby-diff-lcs,
                ruby-fakefs,
@@ -18,9 +18,9 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-rspec.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-rspec.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/pkg-ruby-extras/ruby-rspec.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-rspec.git
 Homepage: http://rspec.info/
 XS-Ruby-Versions: all
