=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 #
 # Uncomment to ignore all test failures (but the tests will run anyway)
-export DH_RUBY_IGNORE_TESTS=all
+#export DH_RUBY_IGNORE_TESTS=all
 #
 # Uncomment to ignore some test failures (but the tests will run anyway).
 # Valid values:
@@ -38,7 +38,7 @@
 	@dh_testdir
 	@set -e && \
 	(echo rspec $(RSPEC_VERSION); echo rspec-core $(RSPEC_CORE_VERSION); echo rspec-expectations $(RSPEC_EXPECTATIONS_VERSION); echo rspec-mocks $(RSPEC_MOCKS_VERSION); echo rspec-support $(RSPEC_SUPPORT_VERSION)) | { while read gem version; do \
-		new_version=$$(uscan --verbose --report --watch debian/$$gem.watch --upstream-version $$version | sed -n -e 's/^Newest version on remote site is \([^,]*\), .*$$/\1/p'); \
+		new_version=$$(uscan --verbose --report --watch debian/$$gem.watch --upstream-version $$version | sed -n -e 's/Newest version .* on remote site is \([^,]*\), .*$$/\1/p'); \
 		if [ "$$new_major_minor" ]; then \
 			[ "$$new_major_minor" = "$${new_version%.*}" ] || { echo 'Major/minor version mismatch between gems!' >&2; exit 1; }; \
 		fi; \
@@ -91,8 +91,15 @@
 		tar -C $$x -xzf ../ruby-rspec_$(UPSTREAM_VERSION).orig-$$x.tar.gz --strip-components=1; \
 		done
 
-
-
+repack-sources:
+	mkdir -p ruby-rspec_$(UPSTREAM_VERSION).orig
+	for x in rspec rspec-core rspec-expectations rspec-mocks rspec-support; do \
+		mkdir -p ruby-rspec_$(UPSTREAM_VERSION).orig/$$x; \
+		tar -C ruby-rspec_$(UPSTREAM_VERSION).orig/$$x -xzf ../ruby-rspec_$(UPSTREAM_VERSION).orig-$$x.tar.gz --strip-components=1; \
+		done
+	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
+        ../ruby-rspec_$(UPSTREAM_VERSION).orig.tar.gz ruby-rspec_$(UPSTREAM_VERSION).orig
+	rm -rf ruby-rspec_$(UPSTREAM_VERSION).orig
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
@@ -106,15 +113,15 @@
 	# need to have rspec in bin/ to be correctly autoinstalled
 	dh_install -pruby-rspec-core rspec-core/exe/rspec usr/bin
 	dh_install -pruby-rspec-core rspec-core/lib/rspec/core/project_initializer/.rspec usr/lib/ruby/vendor_ruby/rspec/core/project_initializer
-	# create rspec-mocks/tmp used in tests
-	mkdir -p rspec-mocks/tmp
 	dh_auto_install
 
 override_dh_auto_clean:
 	rm -rf rspec-core/tmp/
 	rm -rf rspec-expectations/coverage/
 	rm -rf rspec-mocks/coverage/
-	rm -rf rspec-mocks/tmp
+	rm -rf rspec-support/coverage/
+	rm -f rspec-mocks/tmp/file_*
+	rm -rf rspec-*/spec/support/_*
 	rm -rf man/
 	dh_auto_clean
