## ruby-rspec 3.5.0c3e0m0s0

=== debian/changelog ===
ruby-rspec (3.5.0c3e0m0s0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * New upstream release
  * debian/README.source: simplify the instructions for updating to a new
    upstream release
  * refresh patches

  [ Cédric Boutillier ]
  * refresh failed_specs.patch: exclude more tests from rspec-core invocations
  * debian/rules report:
    + work around new uscan output
    + properly report upstream version number as in Debian changelog
  * remove obsolete require-rubygems.overrides
  * Bump Standards-Version to 3.9.8 (no changes needed)

 -- Cédric Boutillier <boutil@debian.org>  Mon, 03 Oct 2016 00:37:00 +0200
