=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
-Build-Depends: debhelper (>= 9~),
-               gem2deb (>= 0.4.0~),
+Build-Depends: coderay,
+               debhelper (>= 9~),
+               gem2deb,
                git,
-               coderay,
                ruby-aruba,
                ruby-childprocess,
                ruby-diff-lcs,
@@ -18,9 +18,9 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/pkg-ruby-extras/ruby-rspec.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-rspec.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-rspec.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rspec.git
 Homepage: http://rspec.info/
 XS-Ruby-Versions: all
 
@@ -94,7 +94,9 @@
 Architecture: all
 X-DhRuby-Root: rspec-support
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
+Depends: ruby | ruby-interpreter,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: ruby-rspec
 Description: Behaviour Driven Development framework for Ruby - support
  RSpec is a Behaviour Driven Development framework for Ruby. It
