=== debian/rules ===
--- 
+++ 
@@ -37,16 +37,17 @@
 report:
 	@dh_testdir
 	@set -e && \
-	(echo rspec $(RSPEC_VERSION); echo rspec-core $(RSPEC_CORE_VERSION); echo rspec-expectations $(RSPEC_EXPECTATIONS_VERSION); echo rspec-mocks $(RSPEC_MOCKS_VERSION); echo rspec-support $(RSPEC_SUPPORT_VERSION)) | { while read gem version; do \
-		new_version=$$(uscan --verbose --report --watch debian/$$gem.watch --upstream-version $$version | sed -n -e 's/Newest version .* on remote site is \([^,]*\), .*$$/\1/p'); \
+	(echo rspec . $(RSPEC_VERSION); echo rspec-core c $(RSPEC_CORE_VERSION); echo rspec-expectations e $(RSPEC_EXPECTATIONS_VERSION); echo rspec-mocks m $(RSPEC_MOCKS_VERSION); echo rspec-support s $(RSPEC_SUPPORT_VERSION)) | { while read gem letter version; do \
+		new_version=$$(uscan --verbose --report --watch debian/$$gem.watch --upstream-version $$version | sed -n -e 's/uscan: Newest version .* on remote site is \([^,]*\), .*$$/\1/p'); \
+		[ "$$new_version" ] || new_version=$$version; \
 		if [ "$$new_major_minor" ]; then \
 			[ "$$new_major_minor" = "$${new_version%.*}" ] || { echo 'Major/minor version mismatch between gems!' >&2; exit 1; }; \
 		fi; \
 		new_major_minor="$${new_version%.*}"; \
 		new_patchlevel="$${new_version##*.}"; \
-		new_patchlevels="$${new_patchlevels:+$$new_patchlevels+}$$new_patchlevel"; \
+		new_patchlevels="$$new_patchlevels$$letter$$new_patchlevel"; \
 	done; \
-	new_upstream_version="$$new_major_minor.$$new_patchlevels"; \
+	new_upstream_version="$$new_major_minor$$new_patchlevels"; \
 	echo "Newest version on remote site is $$new_upstream_version, local version is $(UPSTREAM_VERSION)"; \
 	if [ "$$new_upstream_version" = "$(UPSTREAM_VERSION)" ]; then \
 		echo " => Package is up to date"; \
@@ -77,11 +78,12 @@
 
 gen-gemspecs:
 	# Let's create a static version of the gemspec as we don't build with git
-	ruby -rrubygems -e ' \
+	ruby -rrubygems -rfileutils -e ' \
 		%w{rspec rspec-core rspec-expectations rspec-mocks rspec-support}.each do |gem| \
 			Dir.chdir(gem) do \
 				spec = Gem::Specification.load("#{gem}.gemspec"); \
-				File.write("../debian/#{gem}.gemspec", spec.to_ruby); \
+				File.write("#{gem}.gemspec.new", spec.to_ruby); \
+				FileUtils.mv("#{gem}.gemspec.new", "#{gem}.gemspec"); \
 			end; \
 		end \
 		'
