## ruby-rspec 3.7.0c1e0m0s1

=== debian/changelog ===
ruby-rspec (3.7.0c1e0m0s1-1) unstable; urgency=medium

  * New upstream version 3.7.0c1e0m0s1
  * Refresh patches and gemspecs
  * Remove disable_coderay_highlight_specs.patch (patched file removed
    upstream)
  * Add upstream patches to fix tests with ruby2.5 (Closes: #889510)
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Delete leftover gemspec files in debian/ interfering with upstream ones
  * Use DEB_VERSION_UPSTREAM in debian/rules instead of parsing the changelog

 -- Cédric Boutillier <boutil@debian.org>  Mon, 05 Feb 2018 21:24:13 +0100
