=== debian/control ===
--- 
+++ 
@@ -18,11 +18,12 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-rspec.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rspec.git
 Homepage: http://rspec.info/
 XS-Ruby-Versions: all
+#Testsuite: autopkgtest-pkg-ruby
 
 Package: ruby-rspec
 Architecture: all
