=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,10 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
-#
-# Uncomment to ignore all test failures (but the tests will run anyway)
-#export DH_RUBY_IGNORE_TESTS=all
-#
-# Uncomment to ignore some test failures (but the tests will run anyway).
-# Valid values:
-#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
-#
-# If you need to specify the .gemspec (eg there is more than one)
-#export DH_RUBY_GEMSPEC=gem.gemspec
 
-DEB_VERSION = $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
-UPSTREAM_VERSION = $(word 1, $(subst -, ,$(DEB_VERSION)))
-MAJOR = $(word 1, $(subst ., ,$(UPSTREAM_VERSION)))
-MINOR = $(word 2, $(subst ., ,$(UPSTREAM_VERSION)))
-PATCHLEVEL = $(word 3, $(subst ., ,$(UPSTREAM_VERSION)))
+include /usr/share/dpkg/pkg-info.mk
+
+MAJOR = $(word 1, $(subst ., ,$(DEB_VERSION_UPSTREAM)))
+MINOR = $(word 2, $(subst ., ,$(DEB_VERSION_UPSTREAM)))
+PATCHLEVEL = $(word 3, $(subst ., ,$(DEB_VERSION_UPSTREAM)))
 PATCHLEVEL_RSPEC = $(word 1, $(subst c, ,$(PATCHLEVEL)))
 PATCHLEVEL_RSPEC_CORE = $(word 2, $(subst e, ,$(subst c, ,$(PATCHLEVEL))))
 PATCHLEVEL_RSPEC_EXPECTATIONS = $(word 2, $(subst m, ,$(subst e, ,$(PATCHLEVEL))))
@@ -48,8 +37,8 @@
 		new_patchlevels="$$new_patchlevels$$letter$$new_patchlevel"; \
 	done; \
 	new_upstream_version="$$new_major_minor$$new_patchlevels"; \
-	echo "Newest version on remote site is $$new_upstream_version, local version is $(UPSTREAM_VERSION)"; \
-	if [ "$$new_upstream_version" = "$(UPSTREAM_VERSION)" ]; then \
+	echo "Newest version on remote site is $$new_upstream_version, local version is $(DEB_VERSION_UPSTREAM)"; \
+	if [ "$$new_upstream_version" = "$(DEB_VERSION_UPSTREAM)" ]; then \
 		echo " => Package is up to date"; \
 	else \
 		echo " => Newer versions available. Update debian/changelog and run 'debian/rules get-orig-sources'"; \
@@ -60,19 +49,19 @@
 	dh_testdir
 	#git submodule init
 	#git submodule update --checkout
-	wget -O../ruby-rspec_$(UPSTREAM_VERSION).orig-rspec.tar.gz \
+	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec.tar.gz \
 		https://github.com/rspec/rspec/archive/v$(RSPEC_VERSION).tar.gz
 	#cd rspec && git fetch origin && git checkout v$(RSPEC_VERSION)
-	wget -O../ruby-rspec_$(UPSTREAM_VERSION).orig-rspec-core.tar.gz \
+	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec-core.tar.gz \
 		https://github.com/rspec/rspec-core/archive/v$(RSPEC_CORE_VERSION).tar.gz
 	#cd rspec-core && git fetch origin && git checkout v$(RSPEC_CORE_VERSION)
-	wget -O../ruby-rspec_$(UPSTREAM_VERSION).orig-rspec-expectations.tar.gz \
+	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec-expectations.tar.gz \
 		https://github.com/rspec/rspec-expectations/archive/v$(RSPEC_EXPECTATIONS_VERSION).tar.gz
 	#cd rspec-expectations && git fetch origin && git checkout v$(RSPEC_EXPECTATIONS_VERSION)
-	wget -O../ruby-rspec_$(UPSTREAM_VERSION).orig-rspec-mocks.tar.gz \
+	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec-mocks.tar.gz \
 		https://github.com/rspec/rspec-mocks/archive/v$(RSPEC_MOCKS_VERSION).tar.gz
 	#cd rspec-mocks && git fetch origin && git checkout v$(RSPEC_MOCKS_VERSION)
-	wget -O../ruby-rspec_$(UPSTREAM_VERSION).orig-rspec-support.tar.gz \
+	wget -O../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-rspec-support.tar.gz \
 		https://github.com/rspec/rspec-support/archive/v$(RSPEC_SUPPORT_VERSION).tar.gz
 	#cd rspec-support && git fetch origin && git checkout v$(RSPEC_SUPPORT_VERSION)
 
@@ -90,18 +79,18 @@
 
 unpack-sources:
 	for x in rspec rspec-core rspec-expectations rspec-mocks rspec-support; do \
-		tar -C $$x -xzf ../ruby-rspec_$(UPSTREAM_VERSION).orig-$$x.tar.gz --strip-components=1; \
+		tar -C $$x -xzf ../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-$$x.tar.gz --strip-components=1; \
 		done
 
 repack-sources:
-	mkdir -p ruby-rspec_$(UPSTREAM_VERSION).orig
+	mkdir -p ruby-rspec_$(DEB_VERSION_UPSTREAM).orig
 	for x in rspec rspec-core rspec-expectations rspec-mocks rspec-support; do \
-		mkdir -p ruby-rspec_$(UPSTREAM_VERSION).orig/$$x; \
-		tar -C ruby-rspec_$(UPSTREAM_VERSION).orig/$$x -xzf ../ruby-rspec_$(UPSTREAM_VERSION).orig-$$x.tar.gz --strip-components=1; \
+		mkdir -p ruby-rspec_$(DEB_VERSION_UPSTREAM).orig/$$x; \
+		tar -C ruby-rspec_$(DEB_VERSION_UPSTREAM).orig/$$x -xzf ../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig-$$x.tar.gz --strip-components=1; \
 		done
 	GZIP=--best tar -cz --owner root --group root --mode a+rX -f \
-        ../ruby-rspec_$(UPSTREAM_VERSION).orig.tar.gz ruby-rspec_$(UPSTREAM_VERSION).orig
-	rm -rf ruby-rspec_$(UPSTREAM_VERSION).orig
+        ../ruby-rspec_$(DEB_VERSION_UPSTREAM).orig.tar.gz ruby-rspec_$(DEB_VERSION_UPSTREAM).orig
+	rm -rf ruby-rspec_$(DEB_VERSION_UPSTREAM).orig
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
