## ruby-rspec 3.8.0c0e1m0s0

=== debian/changelog ===
ruby-rspec (3.8.0c0e1m0s0-1) unstable; urgency=medium

  * New upstream version 3.8.0c0e1m0s0
  * Refresh failed_specs.patch
      and disable_specs_assuming_they_are_first_caller.patch
  * Drop ruby25_*.patch, applied upstream
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Move debian/watch to gemwatch.debian.net
  * Exclude two failing tests related to bisect
  * Refresh gemspecs for rspec 3.8.x
  * Add a missing step in README.source about regenerating the gemspecs

 -- Cédric Boutillier <boutil@debian.org>  Thu, 06 Sep 2018 23:39:06 +0200
