=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
 Build-Depends: coderay,
-               debhelper (>= 9~),
+               debhelper (>= 11~),
                gem2deb,
                git,
                ruby-aruba,
@@ -18,9 +18,9 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-rspec.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-rspec.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rspec.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rspec
 Homepage: http://rspec.info/
 XS-Ruby-Versions: all
 #Testsuite: autopkgtest-pkg-ruby
