## ruby-rspec 3.9.0c1e0m1s2

=== debian/changelog ===
ruby-rspec (3.9.0c1e0m1s2-1) unstable; urgency=medium

  * Team upload
  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * New upstream version 3.9.0c1e0m1s2
  * Drop all patches
  * debian/ruby-tests.rb: call out to rspec, and use an exclude list
  * debian/rules: install using the rubygems layout
  * debian/ruby-tests.rb: print banner for each test suite
  * debian/rules: drop dh_override_auto_install, now unnecessary
  * debian/ruby-tests.rb: workaround presend of old version using vendor layout
  * debian/rules: allow man/ to already exist
  * debian/rules: ignore missing upstream changelogs
  * debian/patches/0001-gemspecs-Drop-git-usage.patch: drop git usage from
    gemspecs
  * Refresh packaging files with a new run of dh-make-ruby
    - Bump debhelper compat to 12 via debhelper-compat (= 12); drop
      debian/compat
    - Bump Standards-Version to 4.5.0; no changes needed otherwise
    - Add Testsuite: field
    - Add Rules-Requires-Root: no
    - Drop dependencies on ruby | ruby-interpreter
  * Add Breaks: on packages that fail with this new update:
    - ruby-rspec-collection-matchers (<< 1.2.0),
    - ruby-rspec-rails (<< 4.0.0~),

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 19 Feb 2020 18:38:27 -0300
