=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>
 Build-Depends: coderay,
-               debhelper (>= 11~),
-               gem2deb,
+               debhelper-compat (= 12),
+               gem2deb (>= 1),
                git,
                ruby-aruba,
                ruby-childprocess,
@@ -18,21 +18,25 @@
                ruby-nokogiri,
                ruby-rr,
                ruby-thread-order
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-rspec.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-rspec
 Homepage: http://rspec.info/
+Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
-#Testsuite: autopkgtest-pkg-ruby
+Rules-Requires-Root: no
 
 Package: ruby-rspec
 Architecture: all
 X-DhRuby-Root: rspec
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
          ruby-rspec-core (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ruby-rspec-expectations (= ${binary:Version}),
+         ruby-rspec-mocks (= ${binary:Version}),
+Breaks: ruby-rspec-collection-matchers (<< 1.2.0),
+        ruby-rspec-rails (<< 4.0.0~),
 Description: Behaviour Driven Development framework for Ruby - metapackage
  RSpec is a Behaviour Driven Development framework for Ruby. It
  provides a framework for writing and executing examples of how your
@@ -42,13 +46,11 @@
 Architecture: all
 X-DhRuby-Root: rspec-core
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
-         ruby-rspec-expectations (= ${binary:Version}),
-         ruby-rspec-mocks (= ${binary:Version}),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ruby,
          ruby-rspec-support (= ${binary:Version}),
-         ruby-thread-order,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Breaks: ruby-rspec-rails (<< 4.0.0~),
 Suggests: ruby-rspec
 Description: Behaviour Driven Development framework for Ruby - core
  RSpec is a Behaviour Driven Development framework for Ruby. It
@@ -61,11 +63,11 @@
 Architecture: all
 X-DhRuby-Root: rspec-expectations
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         ruby-rspec-support (= ${binary:Version}),
          ruby-diff-lcs,
-         ruby-rspec-support (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Breaks: ruby-rspec-rails (<< 4.0.0~),
 Suggests: ruby-rspec
 Description: Behaviour Driven Development framework for Ruby - expectations
  RSpec is a Behaviour Driven Development framework for Ruby. It
@@ -79,10 +81,11 @@
 Architecture: all
 X-DhRuby-Root: rspec-mocks
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
          ruby-rspec-support (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ruby-diff-lcs,
+Breaks: ruby-rspec-rails (<< 4.0.0~),
 Suggests: ruby-rspec
 Description: Behaviour Driven Development framework for Ruby - mocks
  RSpec is a Behaviour Driven Development framework for Ruby. It
@@ -95,9 +98,10 @@
 Architecture: all
 X-DhRuby-Root: rspec-support
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: ruby-rspec-rails (<< 4.0.0~),
 Suggests: ruby-rspec
 Description: Behaviour Driven Development framework for Ruby - support
  RSpec is a Behaviour Driven Development framework for Ruby. It
