=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+
+export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY == --gem-install
 
 MAJOR = $(word 1, $(subst ., ,$(DEB_VERSION_UPSTREAM)))
 MINOR = $(word 2, $(subst ., ,$(DEB_VERSION_UPSTREAM)))
@@ -96,15 +99,9 @@
 	dh $@ --buildsystem=ruby --with ruby
 
 override_dh_installman:
-	mkdir man
+	mkdir -p man
 	pod2man --center "" --release "" --name RSPEC --utf8 debian/rspec.1.pod man/rspec.1
 	dh_installman
-
-override_dh_auto_install:
-	# need to have rspec in bin/ to be correctly autoinstalled
-	dh_install -pruby-rspec-core rspec-core/exe/rspec usr/bin
-	dh_install -pruby-rspec-core rspec-core/lib/rspec/core/project_initializer/.rspec usr/lib/ruby/vendor_ruby/rspec/core/project_initializer
-	dh_auto_install
 
 override_dh_auto_clean:
 	rm -rf rspec-core/tmp/
@@ -118,5 +115,5 @@
 
 override_dh_installchangelogs:
 	for x in rspec rspec-core rspec-expectations rspec-mocks rspec-support; do \
-		dh_installchangelogs -pruby-$$x $$x/Changelog.md; \
+		dh_installchangelogs -pruby-$$x $(wildcard $$x/Changelog.md); \
 	done
